%
% Programa de lectura y representacion de fuerzas sobre el perfil 
%

%...Lectura de datos desde archivo "esfuerzos" 

load esfuerzos
f=[esfuerzos];

%...Estructura de la matriz f que almacena los esfuerzos:
%   (p: terminos de presion, v: terminos viscosos)
%   f=[Time  FpX  FpY  FpZ  FvX  FvY  FvZ   MpX   MpY  MpZ  MvX  MvY  MvZ];

Time = f(:,1);
FpX  = f(:,2);
FpY  = f(:,3); 
FpZ  = f(:,4); 
FvX  = f(:,5);
FvY  = f(:,6);
FvZ  = f(:,7); 
MpX  = f(:,8); 
MpY  = f(:,9);
MpZ  = f(:,10);
MvX  = f(:,11);
MvY  = f(:,12);
MvZ  = f(:,13);

%...Representacion de esfuerzos

figure(1);

% representacion de fuerza de sustentacion
subplot(3,1,1), plot( Time, FpY+FvY, "*"); 
xlabel('iteracion');
ylabel('sustentacion');
% para seleccionar una ventana: 
% axis([tmin tmax Fmin Fmax]);

% representacion de fuerza de arrastre
subplot(3,1,2),	plot( Time, FpX+FvX, "*"); 
xlabel('iteracion');
ylabel('arrastre');

% representacion de momentos
subplot(3,1,3), plot( Time, MpZ+MvZ,"*"); 
xlabel('iter');
ylabel('par de cabeceo');

%...Genera archivo  Postscript con la representacion

print fuerzas.ps  -deps

%
hold off;

